#ifndef	BOOTLOADER_COMMON_H
#define	BOOTLOADER_COMMON_H

// ----------------------------------------------------------------------------
/**
 * \file	bootloader_common.h
 * 
 * \version	$Id: bootloader_common.h 6018 2008-03-13 15:44:35Z fabian $
 * \author	Fabian Greif <fabian.greif@rwth-aachen.de>
 */
// ----------------------------------------------------------------------------

#include <inttypes.h>

// ----------------------------------------------------------------------------
/**
 * \brief	starts the application program
 */
extern void boot_jump_to_application(void);

// ----------------------------------------------------------------------------
/**
 * \brief	write a complete page to the flash memorey
 * 
 * \param	page	page which should be written
 * \param	*buf	Pointer to the buffer with the data
 *
 * \see		avr-libc Documentation > Modules > Bootloader Support Utilities
 */
extern void boot_program_page(uint16_t page, uint8_t *buf);

#endif	// BOOTLOADER_COMMON_H
